Bug 253949 - Kernel opps when operating on large files.
Kernel opps when operating on large files.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-23 00:40 EDT by paul harris
Modified: 2008-02-15 22:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-15 21:37:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output of /var/log/messages (5.89 KB, text/plain)
2007-08-23 00:40 EDT, paul harris
no flags Details
Config for stock kernel 2.6.23_rc7.config (43.28 KB, text/plain)
2007-09-27 23:16 EDT, paul harris
no flags Details

  None (edit)
Description paul harris 2007-08-23 00:40:34 EDT
Description of problem:
Kernel 'opps' - message attached.

Version-Release number of selected component (if applicable):

How reproducible:
Handling large files seems to cause this,  it has happened on a daily basis when
handing large (4GB) files. This is using 

Steps to Reproduce:
1.  Open large file using any program, cinerella ussualy can cause opps.
2.  Attempt to edit, or open.
3.  Work with it approximately 2 hours.
Actual results:
Kernel opps

Expected results:
File to be saved.

Additional info:
250 GB hard drive for home partition using SATA II interface,  other drive is
120 GB using SATA I interface.  NVIDIA Main board - Athlon64 3800
Comment 1 paul harris 2007-08-23 00:40:34 EDT
Created attachment 166627 [details]
output of /var/log/messages
Comment 2 Chuck Ebbert 2007-08-23 16:42:18 EDT
Disabling/stopping the haldaemon service may make that problem go away. But
according to the oops you are getting machine check errors -- that indicates
some kind of hardware problem.
Comment 3 Christopher Brown 2007-09-27 15:18:15 EDT

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.


I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 4 paul harris 2007-09-27 23:16:11 EDT
Created attachment 209381 [details]
Config for stock kernel 2.6.23_rc7.config
Comment 5 paul harris 2007-09-27 23:17:34 EDT
Hello Chris,
I compiled my own kernel(s) and have been free of system lock ups since then. 
The kernel I am using is a stock one from kernel.org,  both 2.6.23rc6 and
2.6.23rc7 and have not had any issue with either,  before it would lock up
within an hour. I am not sure if it it my config is different or not,   but I
suspect that is the case.  The config I am using with 2.6.23 rc7 is attached.
Thanks much for your reply.
Comment 6 Christopher Brown 2007-09-29 15:02:20 EDT
Thanks for the update Paul. Do you still see the lockups with the equivalant
Fedora kernel? If so, then try Chuck's suggestion of:

# chkconfig haldaemon off

and then re-try. In order that we narrow down this problem, it might be an idea
to try the debug kernel:

# yum install kernel-debuginfo --enablerepo=updates-debuginfo

which is inefficient but spits out a lot more detail. I might then have a better
idea of whom to assign this bug to. Any other information you can attach to this
bug is always helpful such as an output from the following:

# lspci -vvxxx
Comment 7 paul harris 2007-09-29 20:02:38 EDT
do you mean using my config w/ the Fedora patched kernel?  I am trying with now...
Comment 8 Christopher Brown 2007-09-29 20:16:27 EDT
(In reply to comment #7)
> hello,
> do you mean using my config w/ the Fedora patched kernel?  I am trying with
> now...

We really need to understand why the fedora kernel is not working for you so
that is the one that should be tested.
Comment 9 paul harris 2007-10-10 00:01:40 EDT
okay - the crashes have been less frequent,  but one did happen.  What logs need
to be sent?? is the kernel that locked up.
Comment 10 Chuck Ebbert 2007-10-10 19:05:42 EDT
(In reply to comment #9)
> okay - the crashes have been less frequent,  but one did happen.  What logs need
> to be sent?? is the kernel that locked up.

What kind of machine checks are being logged? They are an indication of some
kind of hardware problem. (You can use the mcelog program to print them out.)

And are you seeing the problems with and without the nvidia module loaded?

Do any of the workarounds from:


make a difference?
Comment 11 Christopher Brown 2008-01-11 12:50:41 EST
Hello Paul,

Could I bother you for an update on this? Were you able to test any of the
suggestions above? If it is still an issue please post back attaching the output
of the following commands:

# lspci -vvxxx

as text/plain attachments to this bug. If there is no further update I will
close the bug in a few days.

Comment 12 Christopher Brown 2008-02-15 21:37:29 EST
Closing as per previous comment. Please re-open if this is still an issue for you.
Comment 13 paul harris 2008-02-15 22:40:59 EST
tried to get issue to happen with debug version of kernel - nothing happened. 
Not sure what caused it.  could probably reproduce if i loaded older kernel.

Note You need to log in before you can comment on or make changes to this bug.